Respostas rápidas
Criar resposta rápida
POST
/
quick-messages
Criar resposta rápida
curl --request POST \
--url https://api.connectadesk.com/api/v1/quick-messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shortcode": "/boasvindas",
"message": "Olá! Em que posso ajudar?",
"visibility": "company"
}
'import requests
url = "https://api.connectadesk.com/api/v1/quick-messages"
payload = {
"shortcode": "/boasvindas",
"message": "Olá! Em que posso ajudar?",
"visibility": "company"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
shortcode: '/boasvindas',
message: 'Olá! Em que posso ajudar?',
visibility: 'company'
})
};
fetch('https://api.connectadesk.com/api/v1/quick-messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/quick-messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'shortcode' => '/boasvindas',
'message' => 'Olá! Em que posso ajudar?',
'visibility' => 'company'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/quick-messages"
payload := strings.NewReader("{\n \"shortcode\": \"/boasvindas\",\n \"message\": \"Olá! Em que posso ajudar?\",\n \"visibility\": \"company\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.connectadesk.com/api/v1/quick-messages")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"shortcode\": \"/boasvindas\",\n \"message\": \"Olá! Em que posso ajudar?\",\n \"visibility\": \"company\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/quick-messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"shortcode\": \"/boasvindas\",\n \"message\": \"Olá! Em que posso ajudar?\",\n \"visibility\": \"company\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 44,
"shortcode": "boasvindas",
"message": "Olá {{name}}, tudo bem? Sou do time da Loja Exemplo.",
"mediaPath": null,
"mediaName": null,
"visibility": "all",
"createdAt": "2026-06-01T09:15:00.000Z",
"updatedAt": "2026-07-22T16:40:00.000Z"
}
}{
"error": {
"code": "ERR_API_VALIDATION",
"message": "O parâmetro `application` é obrigatório e aceita \"contact\" ou \"card\"."
}
}Autorizações
Token da API no formato sk_live_….
Corpo
application/json
Atalho que o atendente digita no chat para inserir esta resposta.
Minimum string length:
3Exemplo:
"/boasvindas"
Texto inserido no chat quando o atalho é usado.
Exemplo:
"Olá! Em que posso ajudar?"
Quem pode ver esta resposta rápida:
| valor | quem vê |
|---|---|
company | Todos os atendentes da empresa. |
queue | Apenas quem atende nas filas vinculadas. |
user | Apenas os usuários vinculados. |
Opções disponíveis:
company, queue, user Exemplo:
"company"
Resposta
Criado
Show child attributes
Show child attributes
Exemplo:
{
"id": 44,
"shortcode": "boasvindas",
"message": "Olá {{name}}, tudo bem? Sou do time da Loja Exemplo.",
"mediaPath": null,
"mediaName": null,
"visibility": "all",
"createdAt": "2026-06-01T09:15:00.000Z",
"updatedAt": "2026-07-22T16:40:00.000Z"
}
⌘I
Criar resposta rápida
curl --request POST \
--url https://api.connectadesk.com/api/v1/quick-messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shortcode": "/boasvindas",
"message": "Olá! Em que posso ajudar?",
"visibility": "company"
}
'import requests
url = "https://api.connectadesk.com/api/v1/quick-messages"
payload = {
"shortcode": "/boasvindas",
"message": "Olá! Em que posso ajudar?",
"visibility": "company"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
shortcode: '/boasvindas',
message: 'Olá! Em que posso ajudar?',
visibility: 'company'
})
};
fetch('https://api.connectadesk.com/api/v1/quick-messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/quick-messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'shortcode' => '/boasvindas',
'message' => 'Olá! Em que posso ajudar?',
'visibility' => 'company'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/quick-messages"
payload := strings.NewReader("{\n \"shortcode\": \"/boasvindas\",\n \"message\": \"Olá! Em que posso ajudar?\",\n \"visibility\": \"company\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.connectadesk.com/api/v1/quick-messages")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"shortcode\": \"/boasvindas\",\n \"message\": \"Olá! Em que posso ajudar?\",\n \"visibility\": \"company\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/quick-messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"shortcode\": \"/boasvindas\",\n \"message\": \"Olá! Em que posso ajudar?\",\n \"visibility\": \"company\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 44,
"shortcode": "boasvindas",
"message": "Olá {{name}}, tudo bem? Sou do time da Loja Exemplo.",
"mediaPath": null,
"mediaName": null,
"visibility": "all",
"createdAt": "2026-06-01T09:15:00.000Z",
"updatedAt": "2026-07-22T16:40:00.000Z"
}
}{
"error": {
"code": "ERR_API_VALIDATION",
"message": "O parâmetro `application` é obrigatório e aceita \"contact\" ou \"card\"."
}
}
